M_ALLOC_NO_CHECKS(3)

EXPERIMENTAL_FUNC
m_alloc_no_checks - Allocate Virtual Memory.

SYNOPSIS
#include <karma_m.h>

void * m_alloc_no_checks

(uaddr size)

DESCRIPTION
Allocate Virtual Memory.

size
    The number of bytes to allocate.

RETURN VALUE
A pointer to the memory on success, else NULL.

Multi-threading Level
Safe under POSIX threads.

NOTES
Periodic memory bounds checks are not performed.

If the environment variable "M_ALLOC_DEBUG" is set to "TRUE" then the routine will print allocation debugging information.

If the environment variable "M_ALLOC_FAST" is set to "TRUE" then NO periodic integrity check of memory is performed and no debugging

The "M_ALLOC_MAX_CHECK_INTERVAL" environment variable controls the maximum interval between integrity checks.

If the environment variable "M_ALLOC_ABORT" is set to "TRUE" then any memory error will cause the programme to abort.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/